com.ihr.xbrl.om.table.layout

## Class Cell

- java.lang.Object
- - com.ihr.xbrl.om.table.layout.Cell

- Direct Known Subclasses:
    OpenCell

      public class Cell
      extends java.lang.Object

  The Class Cell.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cell(XBRLTableLayout tbl, int columnNumber, int rowNumber, java.util.Collection<java.lang.Object> members)` Instantiates a new cell.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCellComments()` Prepares a text representation of the cell with comments.
    `int` | `getColumnNumber()` Gets the column number.
    `java.util.Collection<java.lang.Object>` | `getMembers()` Returns a collection of Member pairs that can be used universally (in RS API) to search for facts according with the fact characteristics.
    `int` | `getRowNumber()` Gets the row number.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Cell

          public Cell(XBRLTableLayout tbl,
              int columnNumber,
              int rowNumber,
              java.util.Collection<java.lang.Object> members)

      Instantiates a new cell.
      Parameters:
        `tbl` - the tbl
        `columnNumber` - the column number
        `rowNumber` - the row number
        `members` - the members

  - ### Method Detail

    - #### getColumnNumber

          public int getColumnNumber()

      Gets the column number.
      Returns:
        the columnNumber

    - #### getRowNumber

          public int getRowNumber()

      Gets the row number.
      Returns:
        the rowNumber

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getMembers

          public java.util.Collection<java.lang.Object> getMembers()

      Returns a collection of Member pairs that can be used universally (in RS API) to search for facts according with the fact characteristics. This is, an aspect and an aspect value is a member of specific type
      Returns:
        the members

    - #### getCellComments

          public java.lang.String getCellComments()

      Prepares a text representation of the cell with comments.
      Returns:
        the cell comments